<?php

namespace EventPortal\Domain\EventDelegate;

use Spatie\Enum\Enum;

/**
 * @method static self candidate()
 * @method static self invited()
 * @method static self registering()
 * @method static self registered()
 * @method static self declining()
 * @method static self declined()
 * @method static self attended()
 * @method static self cancelled()
 * @method static self no_show()
 */
class RegistrationStatus extends Enum
{
    protected static $map = [
        'Candidate' => 'candidate',
        'Invited' => 'invited',
        'Registering' => 'registering',
        'Registered' => 'registered',
        'Declining' => 'declining',
        'Declined' => 'declined',
        'Attended' => 'attended',
        'Cancelled' => 'cancelled',
        'NoShow' => 'no_show',
    ];
}
