<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEventNotificationsTable extends Migration
{
    public function up(): void
    {
        Schema::create('event_notifications', function (Blueprint $table): void {
            $table->increments('id');

            $table->foreignId('delegate_id');
            $table->foreignId('event_id');
            $table->string('method');
            $table->string('key');
            $table->string('status');

            $table->timestamps();
        });
    }
}
