<?php

namespace EventPortal\Domain\Util\QuickButtons;

use Illuminate\Support\Arr;

class QuickButtonsRegistry
{
    /** @var array<string> */
    private $quickButtons = [];

    public function make(string $name): QuickButtons
    {
        if (Arr::has($this->quickButtons, $name)) {
            return $this->quickButtons[$name];
        }

        $this->quickButtons[$name] = new QuickButtons($name);

        return $this->quickButtons[$name];
    }
}
